MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
MyGUI::Bitwise Class Reference

`#include <MyGUI_Bitwise.h>`

## Static Public Member Functions
template<typename Type >
static __inline Type | firstPO2From (Type _value)
template<typename Type >
static __inline bool | isPO2 (Type _value)
template<typename Type >
static __inline size_t | getBitShift (Type _mask)

## Detailed Description

Definition at line 15 of file MyGUI_Bitwise.h.

## Member Function Documentation

template<typename Type >

static __inline Type MyGUI::Bitwise::firstPO2From | ( | Type | _value | ) |
| inline static

Returns the closest power-of-two number greater or equal to value.

Definition at line 21 of file MyGUI_Bitwise.h.

template<typename Type >

static __inline size_t MyGUI::Bitwise::getBitShift | ( | Type | _mask | ) |
| inline static

Returns the number of bits a pattern must be shifted right by to remove right-hand zeros.

Definition at line 44 of file MyGUI_Bitwise.h.

template<typename Type >

static __inline bool MyGUI::Bitwise::isPO2 | ( | Type | _value | ) |
| inline static

Determines whether the number is power-of-two or not.

Definition at line 35 of file MyGUI_Bitwise.h.

The documentation for this class was generated from the following file:

- MyGUI_Bitwise.h